Class Index | File Index

## Classes

- _global_
- Array
- Function
- pockets
- pockets.managers
- pockets.managers.EventManager
- pockets.managers.EventRegistration
- pockets.managers.EventTargetRegistration
- pockets.managers.MenuManager

# Namespace pockets

Defined in: pockets.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| pockets

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | pockets.dom

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | pockets.inDevice() Returns true if your application is currently running on device
<static> | pockets.inEmulator() Returns true if your application is currently running in the emulator
<static> | pockets.inPalmHost() Returns true if your application is currently running in Palm Host
<static> | pockets.registerGlobals() Register Pockets globals and extend JavaScript global objects.
<static> | pockets.stubStageController() Override these methods if you would like to change your stage/app controller defaults.

Namespace Detail
pockets
Field Detail
<static> pockets.dom
Defined in: pockets-dom.js.
Method Detail
<static> pockets.inDevice()
Returns true if your application is currently running on device

<static> pockets.inEmulator()
Returns true if your application is currently running in the emulator

<static> pockets.inPalmHost()
Returns true if your application is currently running in Palm Host

<static> pockets.registerGlobals()
Register Pockets globals and extend JavaScript global objects. Needed so that Pockets works.

<static> pockets.stubStageController()
Override these methods if you would like to change your stage/app controller defaults.
Defined in: pockets-test.js.

Documentation generated by JsDoc Toolkit 2.3.0 on Sat Jun 27 2009 08:38:33 GMT-0700 (PDT)